/***************************************************************************
                     html32generator.h  -  description
                             -------------------

    copyright            : (C) 2007 by Andre Simon
    email                : andre.simon1@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREVIEWGENERATOR_H
#define PREVIEWGENERATOR_H

#include <string>

#include "codegenerator.h"
#include "elementstyle.h"

namespace ansifilter {

/**
   \brief This class generates "old style" HTML 3.2 for use in wxHTML
         (Preview function).

   It contains information about the resulting document structure (document
   header and footer), the colour system, white space handling and text
   formatting attributes.

* @author Andre Simon
*/

class Html32Generator  : public ansifilter::CodeGenerator
  {
  public:

    Html32Generator();

    /** Destructor*/
    ~Html32Generator() {};

  private:

    /** Print document header
    */
    string getHeader();

    /** Print document body*/
    void printBody();

    /** Print document footer*/
    string getFooter();

    string getOpenTag() ;
    string getCloseTag();

    /** \return escaped character*/
    virtual string maskCharacter(unsigned char );


  };

}

#endif
